Bug 183433 - Camera is recognised but then spit out error (Kodak CX 7525)
Camera is recognised but then spit out error (Kodak CX 7525)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-28 21:03 EST by Justin Prior
Modified: 2015-01-04 17:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:06:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Prior 2006-02-28 21:03:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060223 Fedora/1.5.0.1-5 Firefox/1.5.0.1

Description of problem:
I installed FC5test3 on Sunday from ftp.  With previous versions my camera and thumbdrive have worked automatically with plug-n-play.  Now when I plug in the camera I get the "what to do with the camera" screen. After my selection to mport photos it switchec to gthumb to exprt where it spits out "PTP I/O error".  After reboot it will do the same once and then nothing with the plugging in of the camera.  Here are the relevant lines from my /var/log/messages:

Feb 28 20:41:29 localhost kernel: usb 1-1: new full speed USB device using uhci_hcd and address 2
Feb 28 20:41:30 localhost kernel: usb 1-1: configuration #1 chosen from 1 choice
Feb 28 20:41:39 localhost kernel: uhci_hcd 0000:00:07.2: host controller process error, something bad happened!
Feb 28 20:41:39 localhost kernel: uhci_hcd 0000:00:07.2: host controller halted, very bad!
Feb 28 20:41:39 localhost kernel: uhci_hcd 0000:00:07.2: HC died; cleaning up
Feb 28 20:41:39 localhost kernel: usb 1-1: USB disconnect, address 2


Same things happen as root. 

Version-Release number of selected component (if applicable):
hal-0.5.7-1; kernel-2.6.15-1.1991_FC5

How reproducible:
Always

Steps to Reproduce:
1. Connect camera
2. Follow prompts
3.
  

Actual Results:  Here is the errors messages from /var/log/messages:
Feb 28 20:41:29 localhost kernel: usb 1-1: new full speed USB device using uhci_hcd and address 2
Feb 28 20:41:30 localhost kernel: usb 1-1: configuration #1 chosen from 1 choice
Feb 28 20:41:39 localhost kernel: uhci_hcd 0000:00:07.2: host controller process error, something bad happened!
Feb 28 20:41:39 localhost kernel: uhci_hcd 0000:00:07.2: host controller halted, very bad!
Feb 28 20:41:39 localhost kernel: uhci_hcd 0000:00:07.2: HC died; cleaning up
Feb 28 20:41:39 localhost kernel: usb 1-1: USB disconnect, address 2


Expected Results:  The pictures should have ben downloaded as indicated in the pop-up window.  

Additional info:

System is up to date as of 2000hrs 28FEB2006.
Comment 1 John (J5) Palmieri 2006-03-01 09:35:16 EST
Sounds like a kernel issue
Comment 2 Justin Prior 2006-03-01 18:51:45 EST
Ran update from yum and updated system as of 1700hrs1MAR2006.  I connected the
camera with similar results.  Error read "Could not claim the USB device".
kernel kernel-2.6.15-1.1996_FC5

/var/log/messages:
Mar  1 18:03:26 localhost kernel: usb 1-1: new full speed USB device using
uhci_hcd and address 2
Mar  1 18:03:26 localhost kernel: usb 1-1: configuration #1 chosen from 1 choice
Mar  1 18:03:34 localhost kernel: uhci_hcd 0000:00:07.2: host controller process
error, something bad happened!
Mar  1 18:03:34 localhost kernel: uhci_hcd 0000:00:07.2: host controller halted,
very bad!
Mar  1 18:03:34 localhost kernel: uhci_hcd 0000:00:07.2: HC died; cleaning up
Mar  1 18:03:34 localhost kernel: usb 1-1: USB disconnect, address 2
Comment 3 ptrl0 2006-03-30 08:44:08 EST
The bug is still in FC5 final release, with the kernel update 2.6.16-1.2080_FC5
Comment 4 Pete Zaitcev 2006-03-31 15:08:53 EST
I'd like to see a usbmon trace for this. Before plugging the camera,
please do:
 mount -t debugfs /sys/kernel/debug
 cat /sys/kernel/debug/usbmon/1t > /tmp/00.mon
... plug the camera
Interrupt the cat and attach /tmp/00.mon to the bug, but please
DO NOT DROP IN THE COMMENTS BOX.
Comment 5 Dave Jones 2006-10-16 20:40:07 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Dave Jones 2006-11-24 18:06:33 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.